package com.kaixed.kchat.network

/**
 * @Author: kaixed
 * @Date: 2024/11/6 22:42
 */
sealed class NetResult<out T> {
    data class Loading<out T>(val message: String = "加载中...") : NetResult<T>()
    data class Success<out T>(val data: T) : NetResult<T>()
    data class Error<out T>(val exception: Throwable) : NetResult<T>()
}